aboutsummaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
Diffstat (limited to 'bin')
-rwxr-xr-xbin/brew4
1 files changed, 4 insertions, 0 deletions
diff --git a/bin/brew b/bin/brew
index 06c5a2cba..575694fdb 100755
--- a/bin/brew
+++ b/bin/brew
@@ -66,6 +66,7 @@ begin
else
Process.wait pid
end
+ #FIXME I don't think $? represents the exit code from the child fork…
exit! $? if $? != 0 # exception in other brew will be visible on screen
end
@@ -114,6 +115,9 @@ begin
exec "mate", *ARGV.named.collect {|name| make name}
end
+ when 'diy'
+ puts diy
+
when 'info', 'abv'
if ARGV.named_empty?
puts `ls #{HOMEBREW_CELLAR} | wc -l`.strip+" kegs, "+HOMEBREW_CELLAR.abv